Name: htop
Version: 0.7
Release: alt1

Summary: Interactive ncurses-based process viewer for Linux
License: GPL
Group: Monitoring

Url: http://%name.sourceforge.net
Source0: http://heanet.dl.sourceforge.net/sourceforge/%name/%name-%version.tar.gz
Source1: %name.ru.1

BuildPreReq: libncurses-devel

%define rman1dir %_mandir/ru/man1

Summary(ru_RU.KOI8-R):     

%description
%name is similar to top, but allows to scroll the list vertically
and horizontally to see all processes and their full command lines.

Tasks related to processes (killing,  renicing)
can be done without entering their PIDs.

%description -l ru_RU.KOI8-R
%name      .
    top    :

  *         ,
       /,
  *          ,
    ţ   /,
  *    ( , )
          (PID),
  *     .

htop       ncurses.

%prep
%setup -q

%build
echo '
ac_cv_file__proc_stat=yes
ac_cv_file__proc_meminfo=yes
' >> config.cache
%configure -C --enable-openvz
%make_build

%install
DESTDIR=%buildroot %makeinstall
mkdir -p %buildroot{%rman1dir,%_iconsdir}
cp -af %SOURCE1 %buildroot%rman1dir/%name.1
cp -af %name.png %buildroot%_iconsdir/

%files
%_bindir/%name
%_man1dir/%name.1.gz
%rman1dir/%name.1.gz
%doc AUTHORS README ChangeLog
%_datadir/applications/%name.*
%_datadir/pixmaps/%name.*
%_iconsdir/%name.*

%post
%update_menus

%postun
%clean_menus

%changelog
* Thu Jan 10 2008 Ilya Evseev <evseev@altlinux.ru> 0.7-alt1
- updated to new version 0.7
- apply specfile patch by mike@ from bugzilla #13519: see below...
- NMU:
  + CPU affinity configuration
  + improved process organization in tree view
  + OpenVZ support
  + bugfixes
- spec macro abuse cleanup
- replace Debian menufile with freedesktop.org desktop file

* Mon Jun 25 2007 Ilya G. Evseev <evseev@altlinux.ru> 0.6.6-alt1
- updated to version 0.6.6

* Mon Jan 22 2007 Ilya G. Evseev <evseev@altlinux.ru> 0.6.5-alt1
- updated to version 0.6.5

* Sat Oct 07 2006 Ilya G. Evseev <evseev@altlinux.ru> 0.6.4-alt1
- updated to version 0.6.4

* Fri Aug 25 2006 Ilya G. Evseev <evseev@altlinux.ru> 0.6.3-alt1
- updated to version 0.6.3

* Wed May 24 2006 Ilya G. Evseev <evseev@altlinux.ru> 0.6.2-alt1
- updated to version 0.6.2

* Fri May 12 2006 Ilya G. Evseev <evseev@altlinux.ru> 0.6.1-alt1
- updated to version 0.6.1
- closed bug #8830 (fixed in upstream)
- specfile changes:
   + docfiles list (missed TODO)
   + GUI icon

* Thu Dec 29 2005 Ilya G. Evseev <evseev@altlinux.ru> 0.6-alt1
- updated to version 0.6

* Tue Nov  1 2005 Ilya G. Evseev <evseev@altlinux.ru> 0.5.4-alt1
- updated to version 0.5.4

* Fri Sep 23 2005 Ilya G. Evseev <evseev@altlinux.ru> 0.5.3-alt2
- bugfix: prevent /proc things at confugure stage because hasher
  (ALTLinux build environment) does not provide /proc filesystem

* Wed Sep 21 2005 Ilya G. Evseev <evseev@altlinux.ru> 0.5.3-alt1
- updated to version 0.5.3

* Wed May 18 2005 Ilya G. Evseev <evseev@altlinux.ru> 0.5.2-alt1
- updated to version 0.5.2

* Sun Apr 10 2005 Ilya G. Evseev <evseev@altlinux.ru> 0.5.1-alt1
- updated to version 0.5.1

* Fri Dec  3 2004 Ilya G. Evseev <evseev@altlinux.ru> 0.5-alt1
- version 0.5
- russian manual page updated to actual state

* Wed Aug 25 2004 Ilya G. Evseev <evseev@altlinux.ru> 0.4-alt1
- upgrade to 0.4

* Thu Jul  1 2004 Ilya G. Evseev <evseev@altlinux.ru> 0.3.3-alt3
- multiple specfile fixes for compatibility with ALTLinux SpecFile conventions:
- fixed build numbering
- russian texts in KOI8-r are moved beyound first 256-bytes block
- more small things...

* Wed Jun 30 2004 Ilya G. Evseev <evseev@altlinux.ru> 0.3.3-2alt
- fixed invalid BuildPreReq
- manage menu entry

* Mon Jun 28 2004 Ilya G. Evseev <evseev@altlinux.ru> 0.3.3-1alt
- Upgrade to 0.3.3
- Added russian manpage

* Fri Jun  4 2004 Ilya G. Evseev <evseev@altlinux.ru> 0.3.1-1alt
- Initial build

## EOF ##
